<?php

namespace App\Repositories;




use App\Models\ConfigStoreType;

class ConfigStoreTypeRepository {
    public function __construct(ConfigStoreType $configStoreType) {
        $this->configStoreType = $configStoreType;
    }
    //列表
    public function index($request)
    {
        $where = [];
        if(isset($request['id'])){
            $where[] = ['id', '=', $request['id']];
        }

        return $this->configStoreType->where($where)->orderBy('id', 'asc')->paginate(20);
    }
}